Bug 54958 - vipw/vigr doesn't edit shadow files
Summary: vipw/vigr doesn't edit shadow files
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux   
(Show other bugs)
Version: 7.3
Hardware: s390 Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-23 18:17 UTC by Ben Levenson
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-24 07:23:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben Levenson 2001-10-23 18:17:38 UTC
Description of Problem:
vipw won't doesn't prompt you to edit the shadow file once a change is made
to the passwd file.  The same happens w/ vigr.
tail of strace:
<snip>
stat64("/etc/ptmp", {st_mode=S_IFREG|0644, st_size=1964, ...}) = 0
fork()                                  = 9025
wait4(9025, [WIFEXITED(s) && WEXITSTATUS(s) == 0], WUNTRACED, NULL) = 9025
--- SIGCHLD (Child exited) ---
stat64("/etc/ptmp", {st_mode=S_IFREG|0644, st_size=2006, ...}) = 0
unlink("/etc/passwd.OLD")               = -1 ENOENT (No such file or 
directory)
link("/etc/passwd", "/etc/passwd.OLD")  = 0
rename("/etc/ptmp", "/etc/passwd")      = 0
unlink("/etc/ptmp")                     = -1 ENOENT (No such file or 
directory)
access("/etc/shadow", X_OK)             = -1 EACCES (Permission denied)
_exit(0)                                = ?

Version-Release number of selected component (if applicable):
util-linux-2.11f-9
util-linux-2.11f-12 (from 7.2-errata) appears to fix the problem.

Comment 1 Florian La Roche 2001-10-24 07:23:52 UTC
We should add some of the 7.2 errata updates for RC2.

Florian La Roche



Comment 2 Florian La Roche 2001-10-26 07:11:38 UTC
Fixed in Rc2

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.